Bug 70229 - enhance x configuration tools to support libretto
enhance x configuration tools to support libretto
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
8.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 01:45 EDT by Jim Wright
Modified: 2007-03-26 23:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 09:36:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/X11/XF86Config-4 for libretto 100ct and rh7.3 (2.13 KB, text/plain)
2002-08-15 14:40 EDT, Jim Wright
no flags Details
/var/log/XFree86.0.log for libretto 100ct and rh7.3 (24.46 KB, text/plain)
2002-08-15 14:43 EDT, Jim Wright
no flags Details
lspci -vvv for libretto 100ct and rh7.3 (2.82 KB, text/plain)
2002-08-15 14:44 EDT, Jim Wright
no flags Details
lspci -vvvn for libretto 100ct and rh7.3 (2.43 KB, text/plain)
2002-08-15 14:45 EDT, Jim Wright
no flags Details

  None (edit)
Description Jim Wright 2002-07-31 01:45:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
I just installed 7.3 on my Libretto 100CT.  It has an 800x480 screen which was
not correctly set up by Xconfigurator.  I got it working very well by tweaking
the config file by hand.

Since the system has no floppy and no cdrom, I have to install the software
using another laptop and then move the hard drive over.  So actually testing the
installer is not something I can do.  However, once installed I can run
redhat-config-xfree86.

So, I can provide you with whatever info you need to poke the correct bits in to
support this laptop.  I don't expect it to be a high priority but I'm willing to
help.  (After I get back from vacation in a week.)

Let me know if this is of interest.



How reproducible:
Didn't try

Steps to Reproduce:
Haven't tried limbo on this laptop yet, but I have another small hard drive I
could use for this purpose.
Comment 1 Mike A. Harris 2002-07-31 05:43:23 EDT
800x480 is not a supported resolution, which is probably why things
are not working.  You will need to create your own custom 800x480
modeline(s) for the time being, and add them to your X config (or
email xpert@xfree86.org for assistance doing so).  Once you have
working modeline(s), attach the working modelines to the bug report,
along with the full output of "lspci -vvv" and "lspci --vvvn"

Also attach your working XFree86 log.

I may need further additional information once the above has
been obtained.



Comment 2 Jim Wright 2002-08-15 14:40:00 EDT
Created attachment 70904 [details]
/etc/X11/XF86Config-4 for libretto 100ct and rh7.3
Comment 3 Jim Wright 2002-08-15 14:43:58 EDT
Created attachment 70905 [details]
/var/log/XFree86.0.log for libretto 100ct and rh7.3
Comment 4 Jim Wright 2002-08-15 14:44:34 EDT
Created attachment 70906 [details]
lspci -vvv for libretto 100ct and rh7.3
Comment 5 Jim Wright 2002-08-15 14:45:02 EDT
Created attachment 70907 [details]
lspci -vvvn for libretto 100ct and rh7.3
Comment 6 Jim Wright 2002-08-15 14:48:52 EDT
let me know if you need anything more.  note that the card reports 800x450 for
some reason, so I have to override_validate_mode to get 800x480.  it works great
and looks just fine.  even 7.3 is pretty snappy on this poor old p5 166.
Comment 7 Mike A. Harris 2002-11-07 07:06:10 EST
Please install kernel-utils, and run the dmi-decode utility, and attach
the information it provides.
Comment 8 Jim Wright 2002-12-07 22:01:02 EST
% dmidecode
RSD PTR found at 0xF4640
checksum failed.
OEM TOSHIB
PNP BIOS present.

appears that the bios is broken with regards to dmi information. I found what I
presume to be a newer bios.  after buying a floppy, I'll try that bios.
Comment 9 Jim Wright 2002-12-24 06:32:27 EST
bought floppy drive, updated bios from 7.0 to 8.1, re-ran dmidecode:

% dmidecode
RSD PTR found at 0xF4660
checksum failed.
OEM TOSHIB
PNP BIOS present.

no joy.  anything else I can do to help?
Comment 10 Mike A. Harris 2004-09-27 11:10:32 EDT
Does this system get properly configured under Fedora Core 2?  If
not, please update the report for FC2, and we can reassign it to
the config tool.

Thanks in advance.
Comment 11 Mike A. Harris 2004-12-22 09:36:23 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.